| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GL

# Method GL.glClearAccum()

Method glClearAccum

  `void glClearAccum(float|array(float) red, float|void green, float|void blue, float|void alpha)`

Description

  glClearAccum specifies the red, green, blue, and alpha values used by glClear to clear the accumulation buffer.

  Values specified by glClearAccum are clamped to the range [-1,1].

Parameter `red`

  Specify the red, green, blue, and alpha values used when the accumulation buffer is cleared. The initial values are all 0.

Throws

  GL_INVALID_OPERATION is generated if glClearAccum is executed between the execution of glBegin and the corresponding execution of glEnd .